Bug 8870 - UNIMARC authorities search doesn't display properly information
Summary: UNIMARC authorities search doesn't display properly information
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Frédéric Demians
QA Contact: Paul Poulain
URL:
Keywords:
Depends on: 8523
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 17:01 UTC by Frédéric Demians
Modified: 2013-12-05 20:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
UNIMARC authorities search doesn't display properly information (6.59 KB, patch)
2012-10-03 17:06 UTC, Frédéric Demians
Details | Diff | Splinter Review
UNIMARC authorities search doesn't display properly information (10.50 KB, patch)
2012-10-04 05:33 UTC, Frédéric Demians
Details | Diff | Splinter Review
Proposed patch (14.57 KB, patch)
2012-10-04 10:09 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 8870 UNIMARC authorities search doesn't display information properly (14.53 KB, patch)
2012-10-04 12:22 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2012-10-03 17:01:15 UTC
- Note field (3xx) are not displayed on search result page. We get
  'HASH()' text.
- Parallel/Other forms (7xx) are not displayed, with language name in front of heading
- On result page, seealso form are displayed, and end with '--'

This bug is present on 3.8.5. To fix it, several patches only available
on HEAD are necessary.
Comment 1 Frédéric Demians 2012-10-03 17:06:11 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-10-03 19:41:48 UTC
> This bug is present on 3.8.5. To fix it, several patches only available
> on HEAD are necessary.

What does this mean .. this patch is unnessecary, or does it needs other patches? If so which ones?
Comment 3 Frédéric Demians 2012-10-03 19:53:12 UTC
> What does this mean .. this patch is unnessecary, or does it needs other
> patches? If so which ones?

Bug 8523 seems enough.
Comment 4 Frédéric Demians 2012-10-04 05:33:39 UTC Comment hidden (obsolete)
Comment 5 Frédéric Demians 2012-10-04 10:09:03 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-10-04 12:22:57 UTC
Created attachment 12683 [details] [review]
Bug 8870 UNIMARC authorities search doesn't display information properly

- Note field (3xx) are not displayed on search result page. We get
  'HASH()' text.
- Parallel/Other forms (7xx) are not displayed, with language name in front of
  heading, both on result and detail page.
- Note are not displayed.
- On result page, seealso form are displayed, but end with a superfluous '--'
- Style the result page, with condensed block, and space between them.
- Done both on OPAC/staff

To be applied on 3.8.x after bug 8523.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 7 Paul Poulain 2012-10-17 16:43:43 UTC
QA comment:
 * patch applies, passes koha-qa.pl, work well
 * digging for any side effect, I was wondering what was the reason for:
+[% BLOCK language %]
+  [% SWITCH lang %]
+   [% CASE ['en', 'eng'] %]English
+   [% CASE ['fr', 'fre'] %]French
+   [% CASE ['it', 'ita'] %]Italian
+   [% CASE ['de', 'ger', 'deu'] %]German
+   [% CASE ['es', 'spa'] %]Spanish
+   [% CASE %][% lang %]
+  [% END %]
+[% END %]

(in cunjunction with 
+        [% PROCESS language lang=otherscrip.lang | trim %]:
)

Other question: does this patch remove the use of auth_types.summary we had before ? (I think, but want a confirmation)
Comment 8 Frédéric Demians 2012-10-17 17:07:05 UTC
>  * digging for any side effect, I was wondering what was the reason for:
> +[% BLOCK language %]
> +  [% SWITCH lang %]
> +   [% CASE ['en', 'eng'] %]English
> +   [% CASE ['fr', 'fre'] %]French
> +   [% CASE ['it', 'ita'] %]Italian

UNIMARC authorities can contain translated headings. The language is
coded in a subfield. The template decodes it, and so it's translatable.
If required, more language codes could be added. 2 and 3 letters codes
are "acceptable".

> Other question: does this patch remove the use of auth_types.summary we had
> before ? (I think, but want a confirmation)

It has already been done by Jared patch: bug 8523.
Comment 9 Paul Poulain 2012-10-22 15:49:55 UTC
passed QA (see comment 7 for my QA, and comment 8 for Frederic answer)

passing QA before string freeze
Comment 10 Paul Poulain 2012-10-22 15:50:48 UTC
Patch pushed to master (3.10 only, it's a bugfix for a 3.10 feature)
Comment 11 mathieu saby 2012-10-26 09:57:28 UTC
Good patch!
But I can still see a VERY cosmetic problem in authorities search : superflous ";" for some authorities
Should I create a new bug, or just comment this one ?

Ex :
" Écologie des jardins
; ; ; BT: Écologie agricole"

" Grottes de jardin
; ; BT: Grottes ; BT: Fabriques de jardin "



Mathieu Saby
Rennes 2 university.
Comment 12 Frédéric Demians 2012-10-26 10:38:52 UTC
> Should I create a new bug, or just comment this one ?

You should better create a new bug, and attach sample data to it: a
mysqldump of authorities records from auth_header table.
Comment 13 Fridolin Somers 2013-01-09 10:40:14 UTC
For 3.8.x users, you may want to hide those HASH texts.
I noticed they only occur in span with "note" class.
So I hide them with CSS :

OPACUserCSSS: 
  #userauthsearchresults .note {
    display: none;
  }

IntranetUserCSS :
  #authorities_searchresultlist_results .note,
  #auth_searchresultlist_auth .note
  {
    display: none;
  }
Comment 14 Chris Cormack 2013-04-24 07:39:54 UTC
Was released in 3.10.0